FROM php:7.4-fpm

RUN chown -R www-data: /var/www/html

ARG DOCKER_UID=1000
ENV WWW_DATA_UID=${DOCKER_UID}
ENV APP_ENV=${APP_ENV}

RUN set -ex &&\
 apt-get update &&\
 apt-get install -y --no-install-recommends unzip libjpeg-dev libfreetype6-dev libzip-dev zlib1g-dev libpng-dev &&\
 docker-php-ext-configure gd --with-freetype --with-jpeg &&\
 docker-php-ext-install -j 8 zip gd &&\
 pecl install mongodb &&\
 docker-php-ext-enable mongodb &&\
 rm -rf /var/lib/apt/lists/* && rm -rf /tmp/*

WORKDIR /var/www/html

RUN curl -sS https://getcomposer.org/installer | php -- --install-dir=/usr/local/bin --filename=composer
